/*****************************************************/
/* dpmi.h                                            */
/* -- Interface to DPMI services.                    */
/*****************************************************/
typedef struct
    {
    WORD    w;       /* 16-bit register. */
    WORD    wHi;     /* 32 bit register's high word. */
    } REG;           /* 32/16 view of CPU register. */

typedef struct
    {
    REG     regDI;   /* DI register. */
    REG     regSI;   /* SI register. */
    REG     regBP;   /* BP register. */
    REG     regZero; /* Reserved, must be 0. */
    REG     regBX;   /* BX register. */
    REG     regDX;   /* DX register. */
    REG     regCX;   /* CX register. */
    REG     regAX;   /* AX register. */
    WORD    wFlags;  /* Flags register. */
    WORD    wES;     /* ES register. */
    WORD    wDS;     /* DS register. */
    WORD    wFS;     /* FS register. */
    WORD    wGS;     /* GS register. */
    WORD    wIP;     /* Instruction pointer. */
    WORD    wCS;     /* CS register. */
    WORD    wSP;     /* SP register. */
    WORD    wSS;     /* SS register. */
    } RMI;           /* Real Mode Interrupt struct. */
